Skip to content

Get the current commit CID & revision of the specified repo. Does not require auth.

GET
/xrpc/com.atproto.sync.getLatestCommit
curl --request GET \
--url 'https://example.com/xrpc/com.atproto.sync.getLatestCommit?did=example'
did
required

The DID of the repo.

string format: did

The DID of the repo.

Success

Media typeapplication/json
object
cid
required
string format: cid
rev
required
string format: tid

Example generated

{
"cid": "example",
"rev": "example"
}

Bad Request

Media typeapplication/json
object
error
required
One of:
string
Allowed value: RepoNotFound
message
required
string

Example

{
"error": "RepoNotFound"
}